Attribute VB_Name = "Module4"
Private Declare Function ECF_LeituraMemoriaFiscalDataMFD Lib "CONVECF.DLL" (ByVal DataInic As String, ByVal DataFim As String, ByVal Simples As String) As Integer
Private Declare Function ECF_LeituraMemoriaFiscalSerialDataMFD Lib "CONVECF.DLL" (ByVal DataInic As String, ByVal DataFim As String, ByVal Simples As String) As Integer
Private Declare Function ECF_LeituraMemoriaFiscalReducaoMFD Lib "CONVECF.DLL" (ByVal CRZInicial As String, ByVal CRZFinal As String, ByVal Simples As String) As Integer
Private Declare Function ECF_LeituraMemoriaFiscalSerialReducaoMFD Lib "CONVECF.DLL" (ByVal CRZInicial As String, ByVal CRZFinal As String, ByVal Simples As String) As Integer

Function LMFData()

 retorno = ECF_LeituraMemoriaFiscalDataMFD("01/" & Format(Date, "mm/yyyy"), Date, "C")
 MsgBox " 'Leitura da MF - Data' " & vbCrLf & "Status: " & retorno
End Function


Function LMFReducao()

    retorno = ECF_LeituraMemoriaFiscalReducaoMFD("0001", "0005", "C")
    MsgBox " 'Leitura da MF - Redução' " & vbCrLf & "Status: " & retorno
End Function

Function LMFDataSerial()
  
    retorno = ECF_LeituraMemoriaFiscalSerialDataMFD("01/" & Format(Date, "mm/yyyy"), Date, "C")
    MsgBox " 'Leitura Serial da MF - Data' " & vbCrLf & "Status: " & retorno
End Function

Function LMFReducaoSerial()

    retorno = ECF_LeituraMemoriaFiscalSerialReducaoMFD("0001", "0005", "C")
    MsgBox " 'Leitura Serial da MF - Redução' " & vbCrLf & "Status: " & retorno
End Function
